Package: org.codehaus.groovy.tools.shell

## [Groovy] Class RelaxedParser

- org.codehaus.groovy.tools.shell.RelaxedParser

- All Implemented Interfaces and Traits:
    Parsing

      final class RelaxedParser

  A relaxed parser, which tends to allow more, but won't really catch valid syntax errors.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected antlr.collections.AST` | `doParse(UnicodeEscapingReader reader)`
    `` | `ParseStatus` | `parse(Collection<String> buffer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### protected antlr.collections.AST doParse(UnicodeEscapingReader reader)

    - #### @Override ParseStatus parse(Collection<String> buffer)